/*
 *  TINET (TCP/IP Protocol Stack)
 * 
 *  Copyright (C) 2001-2006 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡξȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: nserv.c,v 1.3 2006/02/07 10:13:18 abe Exp abe $
 */

/* 
 *  лץ
 */

#include <s_services.h>
#include <t_services.h>
#include "kernel_id.h"
#include "tinet_id.h"

#include <tinet_config.h>

#include <net/net_var.h>

#include <netinet/tcp.h>

#include <netapp/echo.h>
#include <netapp/discard.h>
#include <netapp/wwws.h>

#include "nserv.h"

/*
 *  TCP Хåե
 */

#ifdef USE_TCP_ECHO_CLI

#ifndef TCP_CFG_SWBUF_CSAVE
UB tcp_echo_cli_swbuf[TCP_ECHO_CLI_SWBUF_SIZE];
#endif

#ifndef TCP_CFG_RWBUF_CSAVE
UB tcp_echo_cli_rwbuf[TCP_ECHO_CLI_RWBUF_SIZE];
#endif

#endif	/* of #ifdef USE_TCP_ECHO_CLI */

#ifdef USE_TCP_DISCARD_CLI

#ifndef TCP_CFG_SWBUF_CSAVE_ONLY
UB tcp_discard_cli_swbuf[TCP_DISCARD_CLI_SWBUF_SIZE];
#endif

#endif	/* of #ifdef USE_TCP_DISCARD_CLI */

#if defined(USE_TCP_ECHO_SRV1) || defined(USE_TCP_ECHO_SRV2)

#ifndef TCP_CFG_SWBUF_CSAVE
UB tcp_echo_srv_swbuf[NUM_TCP_ECHO_SRV_TASKS][TCP_ECHO_SRV_SWBUF_SIZE];
#endif

#ifndef TCP_CFG_RWBUF_CSAVE
UB tcp_echo_srv_rwbuf[NUM_TCP_ECHO_SRV_TASKS][TCP_ECHO_SRV_RWBUF_SIZE];
#endif

#endif	/* of #if defined(USE_TCP_ECHO_SRV1) || defined(USE_TCP_ECHO_SRV2) */

#ifdef USE_TCP_DISCARD_SRV

#ifndef TCP_CFG_RWBUF_CSAVE_ONLY
UB tcp_discard_srv_rwbuf[TCP_DISCARD_SRV_RWBUF_SIZE];
#endif

#endif	/* of #ifdef USE_TCP_DISCARD_SRV */

#ifdef USE_WWW_SRV

#ifndef TCP_CFG_SWBUF_CSAVE
UB www_srv_swbuf[NUM_WWW_SRV_TASKS][WWW_SRV_SWBUF_SIZE];
#endif

#ifndef TCP_CFG_RWBUF_CSAVE
UB www_srv_rwbuf[NUM_WWW_SRV_TASKS][WWW_SRV_RWBUF_SIZE];
#endif

#endif	/* of #ifdef USE_WWW_SRV */

#ifdef ARP_CFG_CALLBACK_DUPLICATED

BOOL arp_callback_duplicated (UB *shost)
{
	static UB shost_addr[sizeof("00:00:00:00:00:00")];

	mac2str(shost_addr, shost);
	syslog(LOG_ERROR, "[NSERV] IP address duplicated: %s", shost_addr);

	return FALSE;
	}

#endif	/* of #ifdef ARP_CFG_CALLBACK_DUPLICATED */
